# WOK
TKWOK
WOKBuilder

# WOKBuilder_MapOfMSAction Class Reference

`#include <WOKBuilder_MapOfMSAction.hxx>`

Inheritance diagram for WOKBuilder_MapOfMSAction:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_MapOfMSAction (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKBuilder_MapOfMSAction & | Assign (const WOKBuilder_MapOfMSAction &Other)
WOKBuilder_MapOfMSAction & | operator= (const WOKBuilder_MapOfMSAction &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKBuilder_MapOfMSAction ()
Standard_EXPORT Standard_Boolean | Add (const Handle(WOKBuilder_MSAction)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(WOKBuilder_MSAction)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(WOKBuilder_MSAction)&aKey)

## Private Member Functions

Standard_EXPORT | WOKBuilder_MapOfMSAction (const WOKBuilder_MapOfMSAction &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MapOfMSAction::WOKBuilder_MapOfMSAction | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKBuilder_MapOfMSAction::~WOKBuilder_MapOfMSAction | ( |  | ) | `[inline]`

Standard_EXPORT WOKBuilder_MapOfMSAction::WOKBuilder_MapOfMSAction | ( | const WOKBuilder_MapOfMSAction & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKBuilder_MapOfMSAction::Add | ( | const Handle(WOKBuilder_MSAction)& | aKey | ) |

Standard_EXPORT WOKBuilder_MapOfMSAction& WOKBuilder_MapOfMSAction::Assign | ( | const WOKBuilder_MapOfMSAction & | Other | ) |

Standard_EXPORT void WOKBuilder_MapOfMSAction::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean WOKBuilder_MapOfMSAction::Contains | ( | const Handle(WOKBuilder_MSAction)& | aKey | ) | const

void WOKBuilder_MapOfMSAction::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKBuilder_MapOfMSAction::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKBuilder_MapOfMSAction::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

WOKBuilder_MapOfMSAction& WOKBuilder_MapOfMSAction::operator= | ( | const WOKBuilder_MapOfMSAction & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean WOKBuilder_MapOfMSAction::Remove | ( | const Handle(WOKBuilder_MSAction)& | aKey | ) |

Standard_EXPORT void WOKBuilder_MapOfMSAction::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- WOKBuilder_MapOfMSAction.hxx